--
-- Simple Parse REST API Test - evs 2013
--

require("Utils/Json")

local baseUrl = "https://api.parse.com"

--sign up with Parse.com to obtain Application ID and REST API Key
local headers = {}
headers["X-Parse-Application-Id"] = "xxxxxx" -- your Application-Id
headers["X-Parse-REST-API-Key"] = "xxxxxx" -- your REST-API-Key
headers["Content-Type"]  = "application/json"

local data = {["API"] = "REST", ["User"] = "evs"}
   
local body = Json.Encode(data)

-- Call load the url
local url = baseUrl .. "/1/classes/Gideros" 
local urlLoader = UrlLoader.new(url, UrlLoader.POST, headers, body)

	-- Add event handler
	local function handleResponse(error, response)
		
		-- TO DO error code
		
		local msg = Json.Decode(response.data)
		
		for k, v in pairs(msg) do
		
		print(k, v)
		
	end
	
end

urlLoader:addEventListener(Event.COMPLETE, handleResponse, false)
urlLoader:addEventListener(Event.ERROR,  handleResponse, true)